# All other routes for Workflow maintenance are declared in Workflow UI.

### Workflow CRUD
entity.workflow_type.collection:
  path: '/admin/config/workflow/workflow'
  defaults:
    _entity_list: 'workflow_type'
#    _controller: '\workflow\EntityWorkflowUIController::adminOverview'
    _title: 'Workflows'
  requirements:
    _permission: 'administer workflow'

entity.workflow_type.canonical:
  path: '/admin/config/workflow/workflow/{workflow_type}'
  defaults:
    _entity_form: 'workflow_type.edit'
    _title: 'Edit Workflow'
    _title_callback: 'workflow_url_get_title'
  requirements:
    _permission: 'administer workflow'
#   _entity_access: 'workflow.update'

entity.workflow_type.add_form:
  path: '/admin/config/workflow/workflow/add'
  defaults:
    _entity_form: 'workflow_type.add'
    _title: 'Add Workflow'
  requirements:
    _permission: 'administer workflow'
#   _entity_access: 'workflow.update'

entity.workflow_type.edit_form:
  path: '/admin/config/workflow/workflow/{workflow_type}'
  defaults:
    _entity_form: 'workflow_type.edit'
    _title: 'Edit Workflow'
    _title_callback: 'workflow_url_get_title'
  requirements:
    _permission: 'administer workflow'
#   _entity_access: 'workflow.update'

entity.workflow_type.delete_form:
  path: '/admin/config/workflow/workflow/{workflow_type}/delete'
  defaults:
    _entity_form: 'workflow_type.delete'
    _title: 'Delete Workflow'
  requirements:
    _permission: 'administer workflow'
#   _entity_access: 'workflow.update'

### Workflow Executed Transition CRUD
entity.workflow_transition.canonical:
  path: '/workflow_transition/{workflow_transition}'
  defaults:
  # Calls the view controller, defined in the annotation of the contact entity
  #  _entity_view: 'workflow_transition'
    _title: 'Workflow transition'
  #requirements:
  # Calls the access controller of the entity, $operation 'view'
  #  _entity_access: 'workflow_transition.view'

entity.workflow_transition.edit_form:
  path: '/workflow_transition/{workflow_transition}/edit'
  defaults:
    _entity_form: 'workflow_transition.edit'
    _title: 'Edit Workflow transition'
  options:
    _admin_route: TRUE
  requirements:
    _entity_access: 'workflow_transition.update'

entity.workflow_transition.delete_form:
  path: '/workflow_transition/{workflow_transition}/delete'
  defaults:
    _entity_form: 'workflow_transition.delete'
    _title: 'Delete Workflow transition'
  options:
    _admin_route: TRUE
  requirements:
    _entity_access: 'workflow_transition.delete'

### Workflow Scheduled Transition CRUD
entity.workflow_scheduled_transition.canonical:
  path: '/workflow_transition/{workflow_transition}'
  defaults:
  # Calls the view controller, defined in the annotation of the contact entity
  #  _entity_view: 'workflow_transition'
    _title: 'Workflow transition'
  #requirements:
  # Calls the access controller of the entity, $operation 'view'
  #  _entity_access: 'workflow_transition.view'

entity.workflow_scheduled_transition.edit_form:
  path: '/workflow_transition/{workflow_transition}/edit'
  defaults:
    _entity_form: 'workflow_transition.edit'
    _title: 'Edit Workflow transition'
  options:
    _admin_route: TRUE
  requirements:
    _entity_access: 'workflow_transition.update'

entity.workflow_scheduled_transition.delete_form:
  path: '/workflow_transition/{workflow_transition}/delete'
  defaults:
    _entity_form: 'workflow_transition.delete'
    _title: 'Delete Workflow transition'
  options:
    _admin_route: TRUE
  requirements:
    _entity_access: 'workflow_transition.delete'
